ur_rna.StructureEditor.services.drawing.export

## Class GraphicsOp.ActionOp

- java.lang.Object
- - ur_rna.StructureEditor.services.drawing.export.GraphicsOp.ActionOp

- All Implemented Interfaces:
    GraphicsOp
  Direct Known Subclasses:
    GraphicsOp.ClearOp, GraphicsOp.DrawImageOp, GraphicsOp.DrawShapeOp, GraphicsOp.DrawStringOp
  Enclosing interface:
    GraphicsOp

      public abstract static class GraphicsOp.ActionOp
      extends java.lang.Object
      implements GraphicsOp

  Represents an operation that does not change the state of the graphics context.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface ur_rna.StructureEditor.services.drawing.export.GraphicsOp

      `GraphicsOp.ActionOp, GraphicsOp.BackgroundOp, GraphicsOp.ClearHintsOp, GraphicsOp.ClearOp, GraphicsOp.ClipOp, GraphicsOp.ColorOp, GraphicsOp.CompositeOp, GraphicsOp.ControlOp, GraphicsOp.DrawImageOp, GraphicsOp.DrawShapeOp, GraphicsOp.DrawStringOp, GraphicsOp.EndOp, GraphicsOp.FontOp, GraphicsOp.GroupEndOp, GraphicsOp.GroupStartOp, GraphicsOp.HintOp, GraphicsOp.InitOp, GraphicsOp.PaintOp, GraphicsOp.StateOp, GraphicsOp.StrokeOp, GraphicsOp.TransformOp, GraphicsOp.XorModeOp`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ActionOp()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `apply(GraphicsStyle c)`
    `abstract void` | `replay(java.awt.Graphics2D g)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ActionOp

          public ActionOp()

  - ### Method Detail

    - #### apply

          public void apply(GraphicsStyle c)

      Specified by:
        `apply` in interface `GraphicsOp`

    - #### replay

          public abstract void replay(java.awt.Graphics2D g)

      Specified by:
        `replay` in interface `GraphicsOp`